=== debian/changelog ===
uthash (1.8-3) unstable; urgency=low

  * Manual was not installed.

 -- Bastian Blywis <blywis@inf.fu-berlin.de>  Fri, 15 Jan 2010 16:56:12 +0100

uthash (1.8-2) unstable; urgency=low

  * Deleted unecessary files from documentation.
  * Added example files.
  * Wrote man page.

 -- Bastian Blywis <blywis@inf.fu-berlin.de>  Thu, 14 Jan 2010 15:57:34 +0100

uthash (1.8-1) unstable; urgency=low

  * Initial release. (Closes: #565271: ITP: uthash -- A hash table and linked 
  list for C structures)

 -- Bastian Blywis <blywis@inf.fu-berlin.de>  Mon, 14 Jan 2010 11:34:16 +0100
