=== debian/control ===
Source: uthash
Section: devel
Priority: extra
Maintainer: Bastian Blywis <blywis@inf.fu-berlin.de>
Build-Depends: debhelper (>= 7), docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.8.3
Homepage: http://uthash.sourceforge.net

Package: uthash-dev
Architecture: all
Depends: ${misc:Depends}
Description: A hash table and linked list for C structures
 This package provides uthash and utlist, C preprocessor
 implementations of a hash table and a linked list. It is
 a dev package without a source or binary package as there
 are only header files.
