=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

install:
	dh_installdirs	
	dh_installdocs
	install -m644 src/uthash.h $(CURDIR)/debian/uthash-dev/usr/include/
	install -m644 src/utlist.h $(CURDIR)/debian/uthash-dev/usr/include/
	cp -R doc/html $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/html
	cp -R doc/pdf $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/pdf
	rm -f $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/html/*.svg
	cp doc/txt/ChangeLog.txt $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/changelog

build:
	xsltproc --nonet \
	--param make.year.ranges 1 \
	--param make.single.year.ranges 1 \
	--param man.charmap.use.subset 0 \
	-o debian/uthash-dev.3 \
	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	debian/manpage.xml

#	make $(CURDIR)/doc/Makefile

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installexamples
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

clean:
	dh_clean

#%:
#	dh  $@
