## uthash 1.9.4

=== doc/Makefile ===
--- 
+++ 
@@ -6,8 +6,25 @@
 utlist: txt/utlist.txt
 	asciidoc --unsafe --out-file=html/utlist.html -a linkcss=1 -a theme=tdh $<
 
+utarray: txt/utarray.txt
+	asciidoc --unsafe --out-file=html/utarray.html -a linkcss=1 -a theme=tdh $<
+
+utstring: txt/utstring.txt
+	asciidoc --unsafe --out-file=html/utstring.html -a linkcss=1 -a theme=tdh $<
+
 changelog:	txt/ChangeLog.txt
 	asciidoc --out-file=html/ChangeLog.html txt/ChangeLog.txt 
+
+stage:
+	cp html/userguide.html ${PAGEROOT}/uthash
+	cp html/userguide.pdf ${PAGEROOT}/uthash
+	cp html/utlist.html ${PAGEROOT}/uthash
+	cp html/utarray.html ${PAGEROOT}/uthash
+	cp html/utstring.html ${PAGEROOT}/uthash
+	cp html/ChangeLog.html ${PAGEROOT}/uthash
+	cp html/license.html ${PAGEROOT}/uthash
+	cp html/index.html ${PAGEROOT}/uthash
+	cp html/styles.css ${PAGEROOT}/uthash
 
 .PHONY: pdf
 
@@ -15,7 +32,7 @@
 	a2x --format=pdf $<
 	mv txt/userguide.pdf pdf/
 	cd html && ln -sf ../pdf/userguide.pdf userguide.pdf
-	rm txt/userguide.xml
+	rm -f txt/userguide.xml
 
 css: html/toc.css
 	cat /etc/asciidoc/stylesheets/xhtml11.css html/toc.css > html/tdh.css
