=== tests/Makefile ===
--- 
+++ 
@@ -6,10 +6,13 @@
 		    test10 test11 test12 test13 test14 test15 test16 test17 \
         test18 test19 test20 test21 test22 test23 test24 test25 \
         test26 test27 test28 test29 test30 test31 test32 test33 \
-        test34 test35 test36 test37 test38 test39 test40
+        test34 test35 test36 test37 test38 test39 test40 test41 \
+        test42 test43 test44 test45 test46 test47 test48 test49 \
+				test50 test51 test52 test53 test54 test55 test56 test57 \
+        test58 test59 test60 test61 test62 test63 test64
 CFLAGS = -I$(HASHDIR) 
 #CFLAGS += -DHASH_BLOOM=16
-#CFLAGS += -O3
+#CFLAGS += -O2
 CFLAGS += -g
 #CFLAGS += -Wstrict-aliasing=2
 CFLAGS += -Wall 
@@ -53,7 +56,14 @@
 
 #detect Linux (platform specific utilities)
 ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "linux")),)
-  PLAT_UTILS = hashscan test_sleep
+  PLAT_UTILS = hashscan sleep_test
+endif
+
+#detect FreeBSD (platform specific utilities)
+ifeq ($(strip $(shell uname -s)), FreeBSD)
+  ifeq ($(shell if [ `sysctl -n kern.osreldate` -ge 0801000 ]; then echo "ok"; fi), ok)
+    PLAT_UTILS = hashscan sleep_test
+  endif
 endif
 
 
@@ -79,7 +89,7 @@
 hashscan : $(HASHDIR)/uthash.h
 	$(CC) $(CFLAGS) $(MUR_CFLAGS) -o $@ $(@).c 
 
-test_sleep : $(HASHDIR)/uthash.h 
+sleep_test : $(HASHDIR)/uthash.h 
 	$(CC) $(CFLAGS) -DHASH_BLOOM=16 -o $@ $(@).c 
 
 $(FUNCS) : $(HASHDIR)/uthash.h
