=== debian/changelog ===
uthash (1.9.4-1) unstable; urgency=low

  * New upstream release.
  * Added example files from upstream.
  * Patched out bashisms in example build script. Closes: #581144 
  * Updated package description to reflect inclusion of utarray and utstring.
  * Updated years in copyright file.
  * Replaced maintainer email address with new address in all files.
  * Bumped Standards-Version to 3.9.2 without changes needed.
  * Switched to 3.0 (quilt).
  * Patched examples scripts (updated paths and fixed a "sh -n" error).
  * Changed license of the packaging to BSD (2 Clause) to match upstream.

 -- Bastian Blywis <blywis@zedat.fu-berlin.de>  Wed, 08 Jun 2011 09:12:25 +0200
