=== debian/control ===
Source: uthash
Section: devel
Priority: extra
Maintainer: Bastian Blywis <blywis@zedat.fu-berlin.de>
Build-Depends: debhelper (>= 7), docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.9.2
Homepage: http://uthash.sourceforge.net

Package: uthash-dev
Architecture: all
Depends: ${misc:Depends}
Description: Hash table and linked list for C structures
 This package provides uthash and utlist, C preprocessor
 implementations of a hash table and a linked list. It is
 a dev package without a source or binary package as there
 are only header files. Since version 1.9 uthash includes
 also macros for dynamic arrays and strings.
