=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-install:
+install: 
 	dh_installdirs	
 	dh_installdocs
 	install -m644 src/uthash.h $(CURDIR)/debian/uthash-dev/usr/include/
 	install -m644 src/utlist.h $(CURDIR)/debian/uthash-dev/usr/include/
+	install -m644 src/utarray.h $(CURDIR)/debian/uthash-dev/usr/include/
+	install -m644 src/utstring.h $(CURDIR)/debian/uthash-dev/usr/include/
 	cp -R doc/html $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/html
 	cp -R doc/pdf $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/pdf
 	rm -f $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/html/*.svg
@@ -43,7 +45,7 @@
 
 binary: binary-indep binary-arch
 
-clean:
+clean: 
 	dh_clean
 
 #%:
