=== tests/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
         test34 test35 test36 test37 test38 test39 test40 test41 \
         test42 test43 test44 test45 test46 test47 test48 test49 \
 				test50 test51 test52 test53 test54 test55 test56 test57 \
-        test58 test59 test60 test61 test62 test63 test64
+        test58 test59 test60 test61 test62 test63 test64 test65
 CFLAGS = -I$(HASHDIR) 
 #CFLAGS += -DHASH_BLOOM=16
 #CFLAGS += -O2
@@ -36,11 +36,6 @@
 ifeq ($(HASH_FUNCTION),"HASH_MUR")
   CFLAGS += $(MUR_CFLAGS)
 endif
-endif
-
-# Prefer 64-bit compilation on Mac OS X (not necessary, just faster)
-ifneq ($(strip $(shell $(CC) -v 2>&1 |egrep "i[0-9]+-apple-darwin")),)
-  CFLAGS += -m64
 endif
 
 # detect Cygwin
