=== debian/changelog ===
uthash (1.9.5-1) unstable; urgency=low

  * New upstream release. Closes: #661651
  * Updated year in copyright file.
  * Added build-arch and build-indep target to debian/rules to fix lintian 
    warning debian-rules-missing-recommended-target.
  * Added rebuilding of documentationi in upstream source. The number of 
    build-dependencies increased due to this change.
  * Building of debian/uthash-dev.3 in build-indep instead of build.

 -- Bastian Blywis <blywis@zedat.fu-berlin.de>  Thu, 01 Mar 2012 16:03:09 +0100
