=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Bastian Blywis <blywis@zedat.fu-berlin.de>
-Build-Depends: debhelper (>= 7), docbook-xsl, docbook-xml, xsltproc
+Build-Depends: debhelper (>= 7), docbook-xsl, docbook-xml, xsltproc, asciidoc, dblatex, libxml2-utils
 Standards-Version: 3.9.2
 Homepage: http://uthash.sourceforge.net
