=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-install: 
-	dh_installdirs	
+install:
+	dh_installdirs
 	dh_installdocs
 	install -m644 src/uthash.h $(CURDIR)/debian/uthash-dev/usr/include/
 	install -m644 src/utlist.h $(CURDIR)/debian/uthash-dev/usr/include/
@@ -16,7 +16,11 @@
 	rm -f $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/html/*.svg
 	cp doc/txt/ChangeLog.txt $(CURDIR)/debian/uthash-dev/usr/share/doc/uthash-dev/changelog
 
-build:
+build: build-arch build-indep
+
+build-arch:
+
+build-indep:
 	xsltproc --nonet \
 	--param make.year.ranges 1 \
 	--param make.single.year.ranges 1 \
@@ -24,15 +28,14 @@
 	-o debian/uthash-dev.3 \
 	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 	debian/manpage.xml
-
-#	make $(CURDIR)/doc/Makefile
+	make -C $(CURDIR)/doc
 
 binary-arch:
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installexamples
 	dh_install
 	dh_installman
@@ -45,7 +48,7 @@
 
 binary: binary-indep binary-arch
 
-clean: 
+clean:
 	dh_clean
 
 #%:
