## uthash 1.9.7

=== doc/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm -f txt/userguide.xml
 
 css: html/toc.css
-	if [ ! -d ~/.asciidoc/themes/tdh ]; then mkdir ~/.asciidoc/themes/tdh; fi
+	if [ ! -d ~/.asciidoc/themes/tdh ]; then mkdir -p ~/.asciidoc/themes/tdh; fi
 	cp html/toc.css ~/.asciidoc/themes/tdh
 
 docbook: txt/userguide.txt
