=== debian/changelog ===
uthash (1.9.7-1) unstable; urgency=low

  * New upstream release. Closes: #691924
  * Fixed watch file URL.
  * Updated patch build-doc as change has been incorporated into upstream.
  * Added brief description to build-doc patch.
  * Updated patch examples because upstream added a line.
  * Changed debian/rules to short format.
  * Raised required version of debhelper because of overwrites in debian/rules.
  * Bumped Standards-Version to 3.9.4 without changes needed.
  * Moved manual installation from debian/rules to uthash-dev.install*.
  * Renamed patches/build-doc to patches/build-doc.diff.
  * Replaced maintainer email address with new address in all files.

 -- Bastian Blywis <blywis@googlemail.com>  Sun, 20 Nov 2012 12:03:06 +0100
