=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: uthash
 Section: devel
 Priority: extra
-Maintainer: Bastian Blywis <blywis@zedat.fu-berlin.de>
-Build-Depends: debhelper (>= 7), docbook-xsl, docbook-xml, xsltproc, asciidoc, dblatex, libxml2-utils
-Standards-Version: 3.9.2
+Maintainer: Bastian Blywis <blywis@googlemail.com>
+Build-Depends: debhelper (>= 7.0.50~), docbook-xsl, docbook-xml, xsltproc, asciidoc, dblatex, libxml2-utils
+Standards-Version: 3.9.4
 Homepage: http://uthash.sourceforge.net
 
 Package: uthash-dev
