=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_installchangelogs:
	dh_installchangelogs doc/txt/ChangeLog.txt

override_dh_auto_build:
	xsltproc --nonet \
	--param make.year.ranges 1 \
	--param make.single.year.ranges 1 \
	--param man.charmap.use.subset 0 \
	-o debian/uthash-dev.3 \
	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	debian/manpage.xml
	make -C $(CURDIR)/doc

%:
	dh $@
