=== debian/watch ===
version=3

http://sf.net/uthash/uthash-(.+)\.tar\.bz2
