## uthash 1.9.9.1%2Bgit20151125

=== debian/control ===
Source: uthash
Section: devel
Priority: optional
Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
Build-Depends: dh-exec (>=0.3), debhelper (>= 9), asciidoc
Standards-Version: 3.9.6
Vcs-Browser: https://bitbucket.org/iliastsi/uthash
Vcs-Git: https://bitbucket.org/iliastsi/uthash.git
Homepage: https://troydhanson.github.io/uthash/

Package: uthash-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: hash table and linked list for C structures
 uthash-dev provides a hash table implementation using C preprocessor macros.
 This package also includes:
  * utlist.h provides linked list macros for C structures
  * utarray.h implements dynamic arrays using macros
  * utstring.h implements a basic dynamic string
