## uthash 1.9.9.1+git20150507

=== tests/Makefile ===
--- 
+++ 
@@ -12,13 +12,15 @@
 				test50 test51 test52 test53 test54 test55 test56 test57 \
         test58 test59 test60 test61 test62 test63 test64 test65 \
         test66 test67 test68 test69 test70 test71 test72 test73 \
-        test74 test75 test76 test77 test78
+        test74 test75 test76 test77 test78 test79 test80 test81 \
+        test82 test83 test84 test85
 CFLAGS = -I$(HASHDIR) 
 #CFLAGS += -DHASH_BLOOM=16
 #CFLAGS += -O2
 CFLAGS += -g
 #CFLAGS += -Wstrict-aliasing=2
 CFLAGS += -Wall 
+#CFLAGS += -Wextra 
 #CFLAGS += -std=c89
 CFLAGS += ${EXTRA_CFLAGS}
 
@@ -102,7 +104,10 @@
 run_tests_mingw: $(PROGS)
 	/bin/sh do_tests.mingw
 
-.PHONY: clean
+astyle:
+	astyle -n --style=kr --indent-switches --add-brackets *.c
+
+.PHONY: clean astyle
 
 clean:	
 	rm -f $(UTILS) $(PLAT_UTILS) $(PROGS) test*.out keystat.??? example *.exe
