=== debian/changelog ===
uthash (1.9.9.1+git20150507-2) unstable; urgency=medium

  * Ensure idempotent documentation build
    - Use '--archive' flag of 'cp' command to preserve timestamps
    - Patch doc/Makefile and use '-a footer-style=none' flag of 'asciidoc' to
      entirely remove timestamps (Closes: #791856)
  * Patch all Makefiles to accept debhelper's build flags.
    Update previous patch which only fixed build flags for libut.
    This is needed in order to fix dpkg-buildflags-missing build warnings.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 09 Jul 2015 16:48:57 +0300

uthash (1.9.9.1+git20150507-1) unstable; urgency=low

  * New upstream release (Closes: #748348).
    Import Upstream snapshot from git commit ac47d4928e61.
  * Set myself as maintainer, as discussed with Bastian Blywis.
    Thanks to Bastian Blywis for maintaining uthash!
  * Bump Standards-Version to 3.9.6, no changes needed
  * Bump debhelper compatibility level to 9
  * Update d/patches
    - Drop 'build-doc'/'updateDoc' patches as they are not needed anymore
    - Update 'examples' patch to use DEP-3 format
  * Change package priority to 'optional'
    Don't use 'extra' as uthash-dev doesn't conflict with any other package.
  * Convert manpage from xml to nroff format.
    Don't generate the manpage every time at build phase and remove some of
    the build dependencies.
  * Convert d/copyright to DEP-5 format.
    Update copyright entries.
  * Remove dblatex and libxml2-utils from build dependencies
  * Upstream project has moved to Github
    - Update watch file
    - Update homepage in d/control file
  * Update manpage since upstream doesn't ship doc in PDF
  * Add Vcs-Git and Vcs-Browser fields in d/control
  * Update package's description.
    - Change short description to start with lower case
    - Reformat long description and remove 'Since version 1.9 ...' which
      is more suited for the changelog rather that the description
  * Remove autogenerated d/README.source file
  * Remove redundant d/uthash-dev.dirs file
  * Cleanup d/rules file
  * Patch doc/Makefile and add a 'clean' rule
  * Handle installation of documentation files
  * Install only source code files as examples
  * Run package's test suite
  * Override lintian warning about duplicate files
  * Patch Makefile to accept debhelper's build flags
  * Build 'libut' static library
    - Change package's architecture to 'any'
    - Update manpage
  * Enable multiarch support by setting Multi-Arch to 'same'

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sat, 04 Jul 2015 19:34:33 +0300
