=== debian/changelog ===
uthash (1.9.9.1+git20151125-1) unstable; urgency=medium

  * New upstream release.
    Import Upstream snapshot from git commit 044474afe5a57.
  * Update d/patches
    - Remove 'Replace-bin-sh-with-bin-bash'
        Applied upstream
    - Remove 'Add-clean-rule-to-remove-autogen-files'
        Applied upstream
    - Update 'Patch-Makefiles-to-honor-CFLAGS-and-CPPFLAGS'
        Partially applied upstream
  * Update d/copyright
  * Remove 'README.Debian' as it is not relevant anymore
  * d/rules: Update build system.
    Upstream has renamed a few folders, so update the d/rules file.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 29 Dec 2015 18:10:48 +0200
