=== debian/changelog ===
uthash (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Patch-Makefiles-to-honor-CFLAGS-and-CPPFLAGS patch.
    Applied upstream.
  * Update d/watch file to use the version 4 format
  * Bump Standards-Version to 3.9.8, no changes needed
  * Update d/copyright file
    - Bump copyright years.
    - Drop obsolete section about removed html files.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Fri, 09 Sep 2016 17:02:22 +0300
