=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
 Build-Depends: dh-exec (>=0.3), debhelper (>= 9), asciidoc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://bitbucket.org/iliastsi/uthash
 Vcs-Git: https://bitbucket.org/iliastsi/uthash.git
 Homepage: https://troydhanson.github.io/uthash/
