## uthash 2.0.2

=== debian/changelog ===
uthash (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Bump versioned dependency of debhelper (>= 10)
  * Bump debhelper compat level to 10
  * Update my email address
  * Bump Standards-Version to 4.1.1, no changes needed
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 06 Oct 2017 17:42:53 +0300
