=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: uthash
 Section: devel
 Priority: optional
-Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
-Build-Depends: dh-exec (>=0.3), debhelper (>= 9), asciidoc
-Standards-Version: 3.9.8
+Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
+Build-Depends: dh-exec (>=0.3), debhelper (>= 10), asciidoc
+Standards-Version: 4.1.1
 Vcs-Browser: https://bitbucket.org/iliastsi/uthash
 Vcs-Git: https://bitbucket.org/iliastsi/uthash.git
 Homepage: https://troydhanson.github.io/uthash/
