=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	# Build 'libut.a' static library
-	$(MAKE) -C opt/bundle/src
+	$(MAKE) -C libut
 	# Build documentation (use a temp build directory)
 	mkdir -p $(BUILD_DIR)/html
 	cp --archive doc/* $(BUILD_DIR)/html/
@@ -32,15 +32,14 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	# Run uthash testsuite
+	# Run both testsuites
 	$(MAKE) -C tests
-	# Run 'libut.a' testsuite
-	$(MAKE) -C opt/bundle/tests
+	$(MAKE) -C libut tests
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
-	# Clean 'opt/bundle' build
-	$(MAKE) -C opt/bundle clean
+	# Clean 'libut' directory
+	$(MAKE) -C libut clean
 	# Clean uthash testsuite
 	$(MAKE) -C tests clean
 	# Remove temp build directory
