=== debian/changelog ===
uthash (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    The libut library has been moved into a different repo.
    Update watch file to download both uthash and libut.
  * Update patches to apply cleanly on new upstream
  * Set Rules-Requires-Root to no
  * Update d/copyright file (bump Copyright years)
  * Modify d/copyright to use HTTPS
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Modify d/rules to build newer version

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 23 Jan 2020 18:51:41 +0200
