=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
-Build-Depends: dh-exec (>=0.3), debhelper (>= 10), asciidoc
-Standards-Version: 4.1.1
+Build-Depends: dh-exec (>=0.3), debhelper (>= 12~), asciidoc
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://bitbucket.org/iliastsi/uthash
 Vcs-Git: https://bitbucket.org/iliastsi/uthash.git
 Homepage: https://troydhanson.github.io/uthash/
