=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
+	# Create symlink from libut to uthash
+	ln -s ../ libut/uthash
+	cp libut/Makefile.standalone libut/Makefile
 	# Build 'libut.a' static library
 	$(MAKE) -C libut
 	# Build documentation (use a temp build directory)
@@ -32,17 +35,21 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Run both testsuites
 	$(MAKE) -C tests
 	$(MAKE) -C libut tests
+endif
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	# Clean 'libut' directory
+	cp libut/Makefile.standalone libut/Makefile
 	$(MAKE) -C libut clean
 	# Clean uthash testsuite
 	$(MAKE) -C tests clean
 	# Remove temp build directory
 	$(RM) -r $(BUILD_DIR)
+	$(RM) libut/uthash libut/Makefile
 	# Clean the rest of the files defined in 'd/clean'
 	dh_auto_clean
