=== debian/changelog ===
uthash (2.3.0-2) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #1059718)

  [ Ilias Tsitsimpis ]
  * Bump Standards-Version to 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 02 Jan 2024 09:35:10 +0200

uthash (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright file (bump Copyright years)
  * Use the debhelper-compat build-dependency and remove d/compat
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 11 Sep 2021 17:02:52 +0300
