=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
-Build-Depends: dh-exec (>=0.3), debhelper (>= 12~), asciidoc
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec (>=0.3),
+ asciidoc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://bitbucket.org/iliastsi/uthash
 Vcs-Git: https://bitbucket.org/iliastsi/uthash.git
 Homepage: https://troydhanson.github.io/uthash/
