=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	ln -s ../ libut/uthash
 	cp libut/Makefile.standalone libut/Makefile
 	# Build 'libut.a' static library
-	$(MAKE) -C libut
+	dh_auto_build --sourcedirectory libut
 	# Build documentation (use a temp build directory)
 	mkdir -p $(BUILD_DIR)/html
 	cp --archive doc/* $(BUILD_DIR)/html/
@@ -50,6 +50,6 @@
 	$(MAKE) -C tests clean
 	# Remove temp build directory
 	$(RM) -r $(BUILD_DIR)
-	$(RM) libut/uthash libut/Makefile
+	$(RM) -r libut/uthash libut/Makefile
 	# Clean the rest of the files defined in 'd/clean'
 	dh_auto_clean
